# opentl::models::Brownian Class Reference

Implemented class Continuous White Noise Acceleration (CWNA) motion model. More...

Inherits opentl::models::LinearARModels.

List of all members.

## Public Member Functions
| Brownian (boost::shared_ptr< opentl::core::State > stateTemplate, math::Matrix *matB=NULL, double deltaT=1.0)
| Constructor.
void | setConstraintCoeff (math::Vector &coeff)
| Set a constraint coefficient (one per degree of freedom), so that motion is constrained around the average pose coeff Input coefficient; coeff = 1: unconstrained motion; coeff < 1 = constrained motion deltaT Time lag (it is needed in order to update the internal matrices).
virtual void | updateMatrices ()
| Update internal matrices (mMatA, mMatW, mMatQw) according to the real time lag.
virtual | ~Brownian ()
| Destructor.

## Detailed Description

Implemented class Continuous White Noise Acceleration (CWNA) motion model.

Author:
  Erwin Roth, erwin.roth@weihenstephan.org; Giorgio Panin, panin@in.tum.de

## Constructor & Destructor Documentation

opentl::models::Brownian::Brownian | ( | boost::shared_ptr< opentl::core::State > | stateTemplate,
|  | math::Matrix * | matB = `NULL`,
|  | double | deltaT = `1.0` |
| ) |  |  |

Constructor.

Parameters:

  | stateTemplate | The state representation this model is using.
  | matB | Optional: input matrix B
  | deltaT | Optional: (default=deltaT is dynamic).

virtual opentl::models::Brownian::~Brownian | ( |  | ) | `[virtual]`

Destructor.

## Member Function Documentation

void opentl::models::Brownian::setConstraintCoeff | ( | math::Vector & | coeff | ) |

Set a constraint coefficient (one per degree of freedom), so that motion is constrained around the average pose coeff Input coefficient; coeff = 1: unconstrained motion; coeff < 1 = constrained motion deltaT Time lag (it is needed in order to update the internal matrices).

virtual void opentl::models::Brownian::updateMatrices | ( |  | ) | `[virtual]`

Update internal matrices (mMatA, mMatW, mMatQw) according to the real time lag.

Implements opentl::models::LinearARModels.